<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Attendence;
use App\Models\EmployeeMonths;
use DateTime;
class DashboardController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
    }
    public function index(){
        //  dd(auth()->user());
        if (auth()->user()->user_role === "employee") {
            return redirect()->route('emp_dashboard');
         }
        return view('dashboard');
    }
    public function emp_dashboard(){
        if(auth()->user() && auth()->user()->user_role === "employee"){
            $datefull = new DateTime();
            $month = date_format($datefull,"m-Y");
            $empolyee_month = EmployeeMonths::where('employee_id', auth()->user()->employee_id)->where('month_year', $month)->first();
            $data = Attendence::where('employee_id', auth()->user()->employee_id)
            ->where('month_year', $month)
            ->get();
            // dd($month);
            return view('attendence.emp_dashboard_attendence')->with(['data'=>$data, "emp_month"=>$empolyee_month]);
            
        }
    }
}
