@extends('layouts/main')
@section('content')
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
       <h1>{{auth()->user()->name}}</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
      <h1>
          {{ date("Y-m-d") }}
      </h1>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<div class="container-fluid">
  @if (session('status'))
          <div class="alert alert-success">
            {{session('status')}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        @endif
    <div class="row">
        <div class="col-12 px-4 mt-3">

            <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col" >Arrival</th>
                    <th scope="col" >Break</th>
                    <th scope="col" >Departure</th>
                    <th scope="col" >Worked</th>
                    <th scope="col" >Over Time</th>
                    <th scope="col" >Comment</th>
                    
                  </tr>
                </thead>
                <tbody>
                  @if(!empty($data))
                    @foreach ($data as $item)
                    @if($emp_month->saturday_status == "on")
                    <tr class="{{$item->absent === "true" ? 'absentTrue' : ''  }}">
                        <td>{{date('D, M  d, Y', $item->dayTimestamp) }}</td>
                        <td>{{$item->day_name !== "Sunday" ? $item->arrival : "OFF"}}</td>
                        <td>{{$item->day_name !== "Sunday" ?$item->break: "OFF"}}</td>
                        <td>{{$item->day_name !== "Sunday" ?$item->departure: "OFF"}}</td>
                        <td>{{$item->day_name !== "Sunday" ?$item->worked: "OFF"}}</td>
                        <td>{{$item->day_name !== "Sunday" ?$item->overtime: "OFF"}}</td>
                        <td>{{$item->day_name !== "Sunday" ?$item->comment: "OFF"}}</td>
                    </tr>
                    @else
                    <tr class="{{$item->absent === "true" ? 'absentTrue' : ''  }}">
                      <td>{{date('D, M  d, Y', $item->dayTimestamp) }}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ? $item->arrival : "OFF"}}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ?$item->break: "OFF"}}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ?$item->departure: "OFF"}}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ?$item->worked: "OFF"}}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ?$item->overtime: "OFF"}}</td>
                      <td>{{$item->day_name !== "Sunday" && $item->day_name !== "Saturday" ?$item->comment: "OFF"}}</td>
                  </tr>
                  @endif
                    @endforeach    
                    @else
                       <h1>
                         Month has not been created yet
                         </h1> 
                    @endif
                </tbody>
              </table>
        </div>
            
    
           
            

                  
        

     </div>

</div>
@endsection