@extends('layouts/main')
@section('content')
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0">All Employees</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
     
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<div class="container-fluid">
  @if (session('status'))
          <div class="alert alert-success">
            {{session('status')}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        @endif
    <div class="row">
        <div class="col-12 px-4 mt-3">

            <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col" >Name</th>
                    <th scope="col" >Email</th>
                    <th scope="col" >Username</th>
                    <th scope="col" >User Role</th>
                    <th scope="col" class="text-center" >Controls</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach ($data as $item)    
                    <tr>
                      <th scope="row">{{$loop->iteration }}</th>
                      <td >{{$item->name}}</td>
                      <td >{{ $item->email}}</td>
                      <td >{{ $item->username}}</td>
                      <td > {{$item->user_role}} </td>
                      <td class="text-center"> 
                          <a href="{{route('edit_user',$item->id)}}" class="btn btn-sm btn-primary">
                            <i class="far fa-edit"></i>
                          </a>
                          @if ($item->id !== auth()->user()->id)
                          <form class="d-inline-block" action="{{ route('user.delete')}}" method="POST">
                            @method('DELETE')
                            @csrf
                            <button name="id" value="{{$item->id}}" class="btn btn-sm btn-danger">
                              <i class="fas fa-trash"></i>
                            </button>
                          </form>
                          @endif
                     </td>
                    </tr>
                    @endforeach
                  
                </tbody>
              </table>
              <div class="d-flex justify-content-end">
                  {{ $data->links() }}
              </div>
            </div>
        </div>

</div>
@endsection