
<?php $__env->startSection('content'); ?>
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0"><?php echo e($employee->name); ?>

          <?php if($employee->deleted_at !== null): ?>
          (Inactive)
          <?php endif; ?></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
      <h1 class="m-0">
        <?php echo e($month); ?>

      </h1>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<div class="container-fluid">
  <?php if(session('status')): ?>
          <div class="alert alert-success">
            <?php echo e(session('status')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        <?php endif; ?>
    <div class="row">
        <div class="col-12 px-4 mt-3">

            <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col" >Arrival</th>
                    <th scope="col" >Break</th>
                    <th scope="col" >Departure</th>
                    <th scope="col" >Worked</th>
                    <th scope="col" >Over Time</th>
                    <th scope="col" >Comment</th>
                    <th scope="col" class="text-center" >Save Changes</th>
                  </tr>
                </thead>
                <tbody>
                <form action="">
                  <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>  
                  
                  <?php if($emp_month->saturday_status == "on"): ?>
                    <tr class="<?php echo e($item->day_name === 'Sunday' ? 'itSunday' :''); ?> day <?php echo e($item->absent === "true" ? 'absentTrue' : ''); ?>" >
                      <th scope="row"class="timestamp" data-time = "<?php echo e($item->dayTimestamp); ?>" data-empid = "<?php echo e($item->employee_id); ?>" data-month = "<?php echo e($item->month_year); ?>"><?php echo e(date('D, M  d, Y', $item->dayTimestamp)); ?></th>
                      <td  >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input class="cell-input arrival timepicker"  placeholder="00:00 am" type="text" name="arrival" value="<?php echo e($item->arrival); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <td >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input  class="cell-input break"type="text" placeholder="00:00" name="break" value="<?php echo e($item->break); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <td >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input  class="cell-input departure"type="text" name="departure" placeholder="00:00 pm" value="<?php echo e($item->departure); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <?php else: ?>
                      <tr class="<?php echo e($item->day_name === 'Sunday' ||$item->day_name === 'Saturday' ? 'itSunday' :''); ?> day <?php echo e($item->absent === "true" ? 'absentTrue' : ''); ?>" >
                        <th scope="row"class="timestamp"data-time = "<?php echo e($item->dayTimestamp); ?>" data-empid = "<?php echo e($item->employee_id); ?>" data-month = "<?php echo e($item->month_year); ?>" ><?php echo e(date('D, M  d, Y', $item->dayTimestamp)); ?></th>
                        <td  >
                        <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday' ): ?> 
                        <input class="cell-input arrival"  placeholder="00:00 am" type="text" name="arrival" value="<?php echo e($item->arrival); ?>">
                        <?php else: ?> 
                        OFF
                        <?php endif; ?>
                        </td>
                        <td >
                        <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday'): ?> 
                        <input  class="cell-input break"type="text" placeholder="00:00" name="break" value="<?php echo e($item->break); ?>">
                        <?php else: ?> 
                        OFF
                        <?php endif; ?>
                        </td>
                        <td >
                        <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday'): ?> 
                        <input  class="cell-input departure"type="text" name="departure" placeholder="00:00 pm" value="<?php echo e($item->departure); ?>">
                        <?php else: ?> 
                        OFF
                        <?php endif; ?>
                        </td>
                        <?php endif; ?>
                      <td class="worked" > <?php echo e($item->worked); ?> </td>
                      <td class="overtime"> <?php echo e($item->overtime); ?> </td>
                      <?php if($emp_month->saturday_status == "on"): ?>
                      <td >
                        <?php if($item->day_name !== "Sunday"): ?> 
                        <input  class="cell-input comment"type="text" name="comment" placeholder="...." value="<?php echo e($item->comment); ?>">
                        <?php else: ?> 
                        OFF
                        <?php endif; ?>
                        </td>
                      <?php else: ?>
                      <td >
                          <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday'): ?> 
                          <input  class="cell-input comment"type="text" name="comment" placeholder="...." value="<?php echo e($item->comment); ?>">
                          <?php else: ?> 
                          OFF
                          <?php endif; ?>
                          </td>
                      <?php endif; ?>
                      <?php if($emp_month->saturday_status == "on"): ?>
                      <td class="text-center"> 
                      <?php if($item->day_name !== "Sunday"): ?> 
                        <a href="#" class="btn btn-sm btn-info save-attendence">
                          <i class="far fa-save"></i>
                        </a>
                        <a href="#" class="btn btn-sm btn-danger absent">
                          <i class="fas fa-user-slash"></i>
                        </a>
                        <?php else: ?> 
                        <a href="#" class="btn btn-sm btn-block disabled ">
                            OFF
                        </a>
                      <?php endif; ?>
                      
                     </td>
                     <?php else: ?>
                     <td class="text-center"> 
                      <?php if($item->day_name !== "Sunday"||$item->day_name !== "Saturday"): ?> 
                        <a href="#" class="btn btn-sm  btn-info save-attendence">
                          <i class="far fa-save"></i>
                        </a>
                        <a href="#" class="btn btn-sm btn-danger absent">
                          <i class="fas fa-user-slash"></i>
                      </a>
                        <?php else: ?> 
                        <a href="#" class="btn btn-sm btn-block disabled ">
                            OFF
                        </a>
                      <?php endif; ?>
                       
                     </td>
                     <?php endif; ?>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </form>
                  
                </tbody>
              </table>
            </div>
            <div class="col-12 px-4 mt-3">
            <div class="d-flex justify-content-between ">
              <div class="mr-3">
                  <h3>Set Saturday Status </h3>
              </div>
              <div class="d-flex justify-content-between align-items-center">
                <span class="mr-3">Saturday is Off</span>
                <label class="switch">
                  <input class="sScheck" <?php echo e($emp_month->saturday_status == "off" ? "checked" : ""); ?> type="checkbox">
                  <span class="slider round"></span>
                </label>
              </div>
            </div>
          </div>
    
            <div class="col-12 px-4 mt-3">
              <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col" >Value</th> 
                  </tr>
                </thead>
                <tbody>
                <form action="">
                      
                    <tr>
                      <th scope="row"  >Total Work Days</th>
                      <td class = "t-w-d"><?php echo e($emp_month->work_days); ?></td>
                    </tr>
                    <!-- <tr>
                      <th scope="row"  >Minmum Work Days (After Allowed offs)</th>
                      <td class = "m-w-d"></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Total Work Hour (After Allowed offs)</th>
                      <td class = "m-w-h"></td>
                    </tr> -->
                    <tr>
                      <th scope="row"  >Total Work Hour</th>
                      <td class = "t-w-h"><?php echo e($emp_month->work_hours); ?></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Hours Worked</th>
                      <td class = "t-h-w"><?php echo e($emp_month->hours_worked); ?></td>
                    </tr>
                    <!-- <tr>
                      <th scope="row"  >Hours Worked (After Allowed offs)</th>
                      <td class = "a-h-w"></td>
                    </tr> -->
                    <tr>
                      <th scope="row"  >OverTime Hours</th>
                      <td class = "o-t-h"><?php echo e($emp_month->ot_hours); ?></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Basic Salary</th>
                      <td > <input  class="cell-input basic-salary"type="text" placeholder="00000" name="basic_salary" value="<?php echo e($emp_month->basic_salary); ?>">
                     </td>
                    </tr>
                    <tr>
                      <th scope="row"  >Hourly Rate</th>
                      <td class = "h-rate"><?php echo e($emp_month->hourly_rate); ?></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Relief Amount</th>
                      <td class = "r-amount"><?php echo e($emp_month->relief_amount); ?></td>
                    </tr>
                    <tr>
                      <th scope="row"  >OverTime</th>
                      <td class = "o-t-s"><?php echo e($emp_month->overTime_amount); ?></td>
                    </tr>
                    
                    <tr>
                      <th scope="row"  >Advances/Cancellations</th>
                      <td class = ""><input  class="cell-input advance"type="text" placeholder="00000" name="advance" value="<?php echo e($emp_month->advances_cancellations); ?>">
                   </td>
                    <tr>
                      <th scope="row"  >Bonus/Reward</th>
                      <td class = ""><input  class="cell-input bonus"type="text" placeholder="00000" name="bonus" value="<?php echo e($emp_month->bonus_reward); ?>">
                   </td>
                    </tr>
                    <tr>
                      <th scope="row"  >Salary this month</th>
                      <td class = "s-t-m"><?php echo e($emp_month->salary_payable); ?></td>
                    </tr>
                   
                    
                    </form>
                  
                </tbody>
              </table>
              <div class="d-flex justify-content-end mb-3">
                <div class="mr-3">

                  <a href="#" data-employee="<?php echo e($employee->id); ?>" data-month="<?php echo e($month); ?>" class="btn btn-sm btn-block btn-success calculate">
                                Calculate
                  </a>
                </div>
                <div>

                  <a target="_blank" href="<?php echo e(route('attendence.today',[$employee->id ?? '', $month??'','download'=>'pdf'])); ?>" class="btn btn-sm btn-block btn-info">
                               Generate PDF              
                  </a>
                </div>
              </div>
            </div>

        </div>

</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\smsapp\resources\views/attendence/single_month.blade.php ENDPATH**/ ?>