<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EmployeeMonths extends Model
{
    use HasFactory;

    protected $fillable = [
        'month_name',
        'month_days', 
        'year', 
        'month_year',
        'work_days',
        'work_hours',
        'employee_id',
        'hours_worked',
        'bonus_reward',
        'ot_hours',
        'basic_salary',
        'hourly_rate',
        'overTime_amount',
        'relief_amount',
        'official_offs',
        'saturday_status',
        'advances_cancellations',
        'salary_payable',
    ];
}
