@extends('layouts/main')
@section('content')
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
       <h1>Today</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
      <h1>
          {{ date("Y-m-d") }}
      </h1>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<div class="container-fluid">
  @if (session('status'))
          <div class="alert alert-success">
            {{session('status')}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        @endif
    <div class="row">
        <div class="col-12 px-4 mt-3">

            <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Employee Name</th>
                    <th scope="col" >Arrival</th>
                    <th scope="col" >Break</th>
                    <th scope="col" >Departure</th>
                    <th scope="col" >Worked</th>
                    <th scope="col" >Over Time</th>
                    <th scope="col" >Comment</th>
                    <th scope="col text-center" >Controls</th>
                    
                  </tr>
                </thead>
                <tbody>
                    @foreach ($data as $item)
                    @if($item->employeeName !== "emp_deleted") 
                    @if($item->employeeSatStatus == "on")
                    <tr class="{{$item->day_name === 'Sunday' ? 'itSunday' :''}} day {{$item->absent === "true" ? 'absentTrue' : ''  }}" >
                      <th scope="row"class="timestamp" data-time = "{{$item->dayTimestamp}}" data-empid = "{{$item->employee_id}}" data-month = "{{$item->month_year}}"  >{{ $item->employeeName}}</th>
                      <td  >
                      @if ($item->day_name !== "Sunday") 
                      <input class="cell-input arrival "  placeholder="00:00 am" type="text" name="arrival" value="{{$item->arrival}}">
                      @else 
                      OFF
                      @endif
                      </td>
                      <td >
                      @if ($item->day_name !== "Sunday") 
                      <input  class="cell-input break"type="text" placeholder="00:00" name="break" value="{{ $item->break }}">
                      @else 
                      OFF
                      @endif
                      </td>
                      <td >
                      @if ($item->day_name !== "Sunday") 
                      <input  class="cell-input departure"type="text" name="departure" placeholder="00:00 pm" value="{{ $item->departure }}">
                      @else 
                      OFF
                      @endif
                      </td>
                        <td class="worked">{{$item->worked}}</td>
                        <td class="overtime">{{$item->overtime}}</td>
                        <td >
                        @if ($item->day_name !== "Sunday") 
                            <input  class="cell-input comment"type="text" name="comment" placeholder="...." value="{{ $item->comment }}">
                            @else 
                            OFF
                            @endif
                            </td>
                            <td class="text-center"> 
                                @if ($item->day_name !== "Sunday") 
                                  <a href="#" class="btn btn-sm btn-info save-attendence">
                                    <i class="far fa-save"></i>
                                  </a>
                                  <a href="#" class="btn btn-sm btn-danger absent">
                                    <i class="fas fa-user-slash"></i>
                                  </a>
                                  @else 
                                  <a href="#" class="btn btn-sm btn-block disabled ">
                                      OFF
                                  </a>
                                @endif
                                
                               </td>
                    </tr>
                    @else
                    <tr class="{{$item->day_name === 'Sunday' ||$item->day_name === 'Saturday' ? 'itSunday' :''}} day {{$item->absent === "true" ? 'absentTrue' : ''  }}" >
                        <th scope="row"class="timestamp" data-time = "{{$item->dayTimestamp}}" data-empid = "{{$item->employee_id}}"  data-month = "{{$item->month_year}}"  >{{$item->employeeName }}</th>
                        <td  >
                        @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday' ) 
                        <input class="cell-input arrival"  placeholder="00:00 am" type="text" name="arrival" value="{{$item->arrival}}">
                        @else 
                        OFF
                        @endif
                        </td>
                        <td >
                        @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday') 
                        <input  class="cell-input break"type="text" placeholder="00:00" name="break" value="{{ $item->break }}">
                        @else 
                        OFF
                        @endif
                        </td>
                        <td >
                        @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday') 
                        <input  class="cell-input departure"type="text" name="departure" placeholder="00:00 pm" value="{{ $item->departure }}">
                        @else 
                        OFF
                        @endif
                        </td>
                        
                        <td class="worked">{{$item->worked}}</td>
                        <td class="overtime">{{$item->overtime}}</td>
                        
                        <td >
                            @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday') 
                            <input  class="cell-input comment"type="text" name="comment" placeholder="...." value="{{ $item->comment }}">
                            @else 
                            OFF
                            @endif
                            </td>
                            <td class="text-center"> 
                                @if ($item->day_name !== "Sunday"||$item->day_name !== "Saturday") 
                                  <a href="#" class="btn btn-sm  btn-info save-attendence">
                                    <i class="far fa-save"></i>
                                  </a>
                                  <a href="#" class="btn btn-sm btn-danger absent">
                                    <i class="fas fa-user-slash"></i>
                                </a>
                                  @else 
                                  <a href="#" class="btn btn-sm btn-block disabled ">
                                      OFF
                                  </a>
                                @endif
                               </td>
                        </tr>
                       @endif
                       @endif
                    @endforeach
                </tbody>
              </table>
        </div>
            
    
           
            

                  
        

     </div>

</div>
@endsection