
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
  <?php if(session('status')): ?>
          <div class="alert alert-success">
            <?php echo e(session('status')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        <?php endif; ?>
    <div class="row">
        <div class="col-12 px-4 mt-3">

            <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col" >Arrival</th>
                    <th scope="col" >Break</th>
                    <th scope="col" >Departure</th>
                    <th scope="col" >Worked</th>
                    <th scope="col" >Over Time</th>
                    <th scope="col" >OT Balance</th>
                    <th scope="col" class="text-center" >Save Changes</th>
                  </tr>
                </thead>
                <tbody>
                <form action="">
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>    
                    <tr class="<?php echo e($item->day_name === 'Sunday' ? 'itSunday' :''); ?> day" >
                      <th scope="row"class="timestamp" data-time = "<?php echo e($item->date); ?>" ><?php echo e(date('D, M  d, Y', $item->date)); ?></th>
                      <td  >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input class="cell-input arrival"  placeholder="00:00 am" type="text" name="arrival" value="<?php echo e($item->arrival); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <td >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input  class="cell-input break"type="text" placeholder="00:00" name="break" value="<?php echo e($item->break); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <td >
                      <?php if($item->day_name !== "Sunday"): ?> 
                      <input  class="cell-input departure"type="text" name="departure" placeholder="00:00 pm" value="<?php echo e($item->departure); ?>">
                      <?php else: ?> 
                      OFF
                      <?php endif; ?>
                      </td>
                      <td class="worked" > <?php echo e($item->worked); ?> </td>
                      <td class="overtime"> <?php echo e($item->overtime); ?> </td>
                      <td class="ot-balande"> <?php echo e($item->ot_balance); ?> </td>
                      <td class="text-center"> 
                      <?php if($item->day_name !== "Sunday"): ?> 
                        <a href="#" class="btn btn-sm btn-block btn-info save-attendence">
                            Save
                        </a>
                        <?php else: ?> 
                     
                        <a href="#" class="btn btn-sm btn-block disabled ">
                            OFF
                        </a>
                      <?php endif; ?>
                       
                       
                     </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </form>
                  
                </tbody>
              </table>
            </div>
            <div class="col-12 px-4 mt-3">
              <table class="table table-bordered table-sm">
                <thead>
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col" >Value</th> 
                  </tr>
                </thead>
                <tbody>
                <form action="">
                      
                    <tr>
                      <th scope="row"  >Total Work Days</th>
                      <td class = "t-w-d"></td>
                    </tr>
                    <!-- <tr>
                      <th scope="row"  >Minmum Work Days (After Allowed offs)</th>
                      <td class = "m-w-d"></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Total Work Hour (After Allowed offs)</th>
                      <td class = "m-w-h"></td>
                    </tr> -->
                    <tr>
                      <th scope="row"  >Total Work Hour</th>
                      <td class = "t-w-h"></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Hours Worked</th>
                      <td class = "t-h-w"></td>
                    </tr>
                    <!-- <tr>
                      <th scope="row"  >Hours Worked (After Allowed offs)</th>
                      <td class = "a-h-w"></td>
                    </tr> -->
                    <tr>
                      <th scope="row"  >OverTime Hours</th>
                      <td class = "o-t-h"></td>
                    </tr>
                    <tr>
                      <th scope="row"  >Basic Salary</th>
                      <td > <input  class="cell-input basic-salary"type="text" placeholder="00000" name="basic_salary" value="">
                     </td>
                    </tr>
                    <tr>
                      <th scope="row"  >Hourly Rate</th>
                      <td class = "h-rate"></td>
                    </tr>
                    <tr>
                      <th scope="row"  >OverTime</th>
                      <td class = "o-t-s"></td>
                    </tr>
                    
                    <tr>
                      <th scope="row"  >Advances/Cancellations</th>
                      <td class = ""><input  class="cell-input advance"type="text" placeholder="00000" name="advance" value="">
                   </td>
                    </tr>
                    <tr>
                      <th scope="row"  >Salary this month</th>
                      <td class = "s-t-m"></td>
                    </tr>
                   
                    
                    </form>
                  
                </tbody>
              </table>
              <div class="d-flex justify-content-end">
              <a href="#" class="btn btn-sm btn-block btn-success calculate">
                            Calculate
              </a>
              <a target="_blank" href="<?php echo e(route('attendence.today',[$employee->id ?? '', $month??'','download'=>'pdf'])); ?>" class="btn btn-sm btn-block btn-success calculate">
                           Generate PDF              
              </a>
              </div>
            </div>

        </div>

</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\smsapp\resources\views/attendence/single_month.blade.php ENDPATH**/ ?>