<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Attendence Sheet</title>
</head>
<body>
  <table class="table table-bordered table-sm">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col" >Month</th> 
      </tr>
    </thead>
    <tbody>
        <tr>
          <th scope="row"  ><?php echo e($employee->name); ?>

            <?php if($employee->deleted_at !== null): ?>
            (Inactive)
            <?php endif; ?></th>
          <td ><?php echo e($month); ?></td>
        </tr>
    </tbody>
  </table>
  <!-- /.content-header -->
    <table class="table table-bordered table-sm">
      <thead>
        <tr>
          <th scope="col" >Date</th>
          <th scope="col" >Arrival</th>
          <th scope="col" >Break</th>
          <th scope="col" >Departure</th>
          <th scope="col" >Worked</th>
          <th scope="col" >Over Time</th>
        </tr>
      </thead>
      <tbody>
        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php if($emp_month->saturday_status == "on"): ?>    
        <tr class="<?php echo e($item->day_name === 'Sunday' ? 'itSunday' :''); ?> day" >
          <th scope="row"class="timestamp" data-time = "<?php echo e($item->dayTimestamp); ?>" ><?php echo e(date('D, M  d, Y', $item->dayTimestamp)); ?></th>
          <td  >
          <?php if($item->day_name !== "Sunday"): ?> 
          <?php echo e($item->arrival); ?>

          <?php else: ?> 
          OFF
          <?php endif; ?>
          </td>
          <td >
          <?php if($item->day_name !== "Sunday"): ?> 
          <?php echo e($item->break); ?>

          <?php else: ?> 
          OFF
          <?php endif; ?>
          </td>
          <td >
          <?php if($item->day_name !== "Sunday"): ?> 
          <?php echo e($item->departure); ?>

          <?php else: ?> 
          OFF
          <?php endif; ?>
          </td>
          <?php else: ?>
          <tr class="<?php echo e($item->day_name === 'Sunday' ||$item->day_name === 'Saturday' ? 'itSunday' :''); ?> day" >
            <th scope="row"class="timestamp" data-time = "<?php echo e($item->dayTimestamp); ?>" ><?php echo e(date('D, M  d, Y', $item->dayTimestamp)); ?></th>
            <td  >
            <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday' ): ?> 
            <?php echo e($item->arrival); ?>

            <?php else: ?> 
            OFF
            <?php endif; ?>
            </td>
            <td >
            <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday'): ?> 
            <?php echo e($item->break); ?>

            <?php else: ?> 
            OFF
            <?php endif; ?>
            </td>
            <td >
            <?php if($item->day_name !== "Sunday" && $item->day_name !== 'Saturday'): ?> 
            <?php echo e($item->departure); ?>

            <?php else: ?> 
            OFF
            <?php endif; ?>
            </td>
            <?php endif; ?>
          <td class="worked" > <?php echo e($item->worked); ?> </td>
          <td class="overtime"> <?php echo e($item->overtime); ?> </td>
        </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </tbody>
    </table>
    <div class="mt-3">
      <table class="table table-bordered table-sm">
        <thead>
          <tr>
            <th scope="col">Name</th>
            <th scope="col" >Value</th> 
          </tr>
        </thead>
        <tbody>
            <tr>
              <th scope="row"  >Total Work Days</th>
              <td class = "t-w-d"><?php echo e($emp_month->work_days); ?></td>
            </tr>
           
            <tr>
              <th scope="row"  >Total Work Hour</th>
              <td class = "t-w-h"><?php echo e($emp_month->work_hours); ?></td>
            </tr>
            <tr>
              <th scope="row"  >Hours Worked</th>
              <td class = "t-h-w"><?php echo e($emp_month->hours_worked); ?></td>
            </tr>
            <tr>
              <th scope="row"  >OverTime Hours</th>
              <td class = "o-t-h"><?php echo e($emp_month->ot_hours); ?></td>
            </tr>
            <tr>
              <th scope="row"  >Basic Salary</th>
              <td > <?php echo e($emp_month->basic_salary); ?>

             </td>
            </tr>
            <tr>
              <th scope="row"  >Hourly Rate</th>
              <td class = "h-rate"><?php echo e($emp_month->hourly_rate); ?></td>
            </tr>
            <tr>
              <th scope="row"  >Relief Amount</th>
              <td class = "r-amount"><?php echo e($emp_month->relief_amount); ?></td>
            </tr>
            <tr>
              <th scope="row"  >OverTime</th>
              <td class = "o-t-s"><?php echo e($emp_month->overTime_amount); ?></td>
            </tr>
            
            <tr>
              <th scope="row"  >Advances/Cancellations</th>
              <td class = ""><?php echo e($emp_month->advances_cancellations); ?>

           </td>
            </tr>
            <tr>
              <th scope="row"  >Salary this month</th>
              <td class = "s-t-m"><?php echo e($emp_month->salary_payable); ?></td>
            </tr>
           
          
        </tbody>
      </table>
    </div>
</body>
</html><?php /**PATH /home1/tek2d/tek2d.work/staff/lsapp/resources/views/attendence/single_month_pdf.blade.php ENDPATH**/ ?>